---
title: "Customers"
description: "Buyers Filemonk delivered to, and their email opt-out."
url: https://docs.filemonk.io/v2/api-reference/customers/
api: "API v2 reference"
---

# Customers

Buyers Filemonk delivered to, and their email opt-out.

## The customer object

- `id` (string, nullable, required): e.g. `ca5b4abc-63b1-4e29-be0a-12acb35908c5`
- `shopify_customer_id` (string, nullable, required): e.g. `gid://shopify/Customer/10296813191463`
- `email` (any, required)
- `phone` (any, required)
- `first_name` (string, nullable, required): e.g. `Jane`
- `last_name` (string, nullable, required): e.g. `Doe`
- `orders_count` (integer, nullable, required): e.g. `1`
- `marketing` (object, required)
  - `unsubscribed` (boolean, nullable, required): e.g. `false`
  - `unsubscribed_at` (any, required)
- `created_at` (string, nullable, required): e.g. `2026-10-26T14:19:29Z`
- `updated_at` (string, nullable, required): e.g. `2026-10-26T14:19:29Z`

```json
{
  "id": "ca5b4abc-63b1-4e29-be0a-12acb35908c5",
  "shopify_customer_id": "gid://shopify/Customer/10296813191463",
  "email": null,
  "phone": null,
  "first_name": "Jane",
  "last_name": "Doe",
  "orders_count": 1,
  "marketing": {
    "unsubscribed": false,
    "unsubscribed_at": null
  },
  "created_at": "2026-10-26T14:19:29Z",
  "updated_at": "2026-10-26T14:19:29Z"
}
```

## Endpoints

- `GET /customers`: [List customers](https://docs.filemonk.io/v2/api-reference/customers/list-customers.md)
- `GET /customers/{id}`: [Get a customer](https://docs.filemonk.io/v2/api-reference/customers/get-a-customer.md)
- `PATCH /customers/{id}`: [Update a customer](https://docs.filemonk.io/v2/api-reference/customers/update-a-customer.md)
- `GET /customers/{id}/orders`: [List orders for a customer](https://docs.filemonk.io/v2/api-reference/customers/list-orders-for-a-customer.md)
